from typing import TypeVar, Generic, Union
from sqlalchemy.orm import InstrumentedAttribute

T = TypeVar('T')

class Filter(Generic[T]):
    def __init__(self, column: Union[str, InstrumentedAttribute[T]], name: str): ...

class IntGreaterFilter(Filter): ...
class FilterEqual(Filter): ...
class FilterLike(Filter): ...
class DateEqualFilter(Filter): ...
class DateGreaterFilter(Filter): ...
class DateSmallerFilter(Filter): ...
